| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IEffectDescriptor Class Referenceabstract
AAX SDK Manual » Core AAX Interface » Description callback

`#include <AAX_IEffectDescriptor.h>`

Inheritance diagram for AAX_IEffectDescriptor:
[legend]

## Description

Description interface for an effect's (plug-in type's) components.

:Implemented by the AAX Host:

Each Effect represents a different "type" of plug-in. The host will present different Effects to the user as separate products, even if they are derived from the same AAX_ICollection description.

See also
  AAX_ICollection::AddEffect()

## Public Member Functions
virtual | ~AAX_IEffectDescriptor ()
virtual AAX_IComponentDescriptor * | NewComponentDescriptor ()=0
| Create an instance of a component descriptor.
virtual AAX_Result | AddComponent (AAX_IComponentDescriptor *inComponentDescriptor)=0
| Add a component to an instance of a component descriptor.
virtual AAX_Result | AddName (const char *inPlugInName)=0
| Add a name to the Effect.
virtual AAX_Result | AddCategory (uint32_t inCategory)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddCategoryBypassParameter (uint32_t inCategory, AAX_CParamID inParamID)=0
| Add a category to your plug-in. See AAX_EPlugInCategory.
virtual AAX_Result | AddProcPtr (void *inProcPtr, AAX_CProcPtrID inProcID)=0
| Add a process pointer.
virtual AAX_IPropertyMap * | NewPropertyMap ()=0
| Create a new property map.
virtual AAX_Result | SetProperties (AAX_IPropertyMap *inProperties)=0
| Set the properties of a new property map.
virtual AAX_Result | AddResourceInfo (AAX_EResourceType inResourceType, const char *inInfo)=0
| Set resource file info.
virtual AAX_Result | AddMeterDescription (AAX_CTypeID inMeterID, const char *inMeterName, AAX_IPropertyMap *inProperties)=0
| Add name and property map to meter with given ID.
virtual AAX_Result | AddControlMIDINode (AAX_CTypeID inNodeID, AAX_EMIDINodeType inNodeType, const char inNodeName[], uint32_t inChannelMask)=0
| Add a control MIDI node to the plug-in data model.

## Constructor & Destructor Documentation

## ◆ ~AAX_IEffectDescriptor()

virtual AAX_IEffectDescriptor::~AAX_IEffectDescriptor | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ NewComponentDescriptor()

virtual AAX_IComponentDescriptor * AAX_IEffectDescriptor::NewComponentDescriptor | ( |  | ) |
| pure virtual

Create an instance of a component descriptor.

Implemented in AAX_VEffectDescriptor.

Referenced by AAX_CMonolithicParameters::StaticDescribe().

Here is the caller graph for this function:

## ◆ AddComponent()

virtual AAX_Result AAX_IEffectDescriptor::AddComponent | ( | AAX_IComponentDescriptor * | inComponentDescriptor | ) |
| pure virtual

Add a component to an instance of a component descriptor.

Unlike with AAX_ICollection::AddEffect(), the AAX_IEffectDescriptor does not take ownership of the AAX_IComponentDescriptor that is passed to it in this method. The host copies out the contents of this descriptor, and thus the plug-in may re-use the same descriptor object when creating additional similar components.

Parameters

  [in] | inComponentDescriptor |

Implemented in AAX_VEffectDescriptor.

Referenced by AAX_CMonolithicParameters::StaticDescribe().

Here is the caller graph for this function:

## ◆ AddName()

virtual AAX_Result AAX_IEffectDescriptor::AddName | ( | const char * | inPlugInName | ) |
| pure virtual

Add a name to the Effect.

May be called multiple times to add abbreviated Effect names.

Note
  Every Effect must include at least one name variant with 31 or fewer characters, plus a null terminating character

Parameters

  [in] | inPlugInName | The name assigned to the plug-in.

Implemented in AAX_VEffectDescriptor.

## ◆ AddCategory()

virtual AAX_Result AAX_IEffectDescriptor::AddCategory | ( | uint32_t | inCategory | ) |
| pure virtual

Add a category to your plug-in. See AAX_EPlugInCategory.

Parameters

  [in] | inCategory | One of the categories for the plug-in.

Implemented in AAX_VEffectDescriptor.

## ◆ AddCategoryBypassParameter()

virtual AAX_Result AAX_IEffectDescriptor::AddCategoryBypassParameter | ( | uint32_t | inCategory,
|  | AAX_CParamID | inParamID
| ) |  |
| pure virtual

Add a category to your plug-in. See AAX_EPlugInCategory.

Parameters

  [in] | inCategory | One of the categories for the plug-in.
  [in] | inParamID | The parameter ID of the parameter used to bypass the category seciont of the plug-in.

Implemented in AAX_VEffectDescriptor.

## ◆ AddProcPtr()

virtual AAX_Result AAX_IEffectDescriptor::AddProcPtr | ( | void * | inProcPtr,
|  | AAX_CProcPtrID | inProcID
| ) |  |
| pure virtual

Add a process pointer.

Parameters

  [in] | inProcPtr | A process pointer.
  [in] | inProcID | A process ID.

Implemented in AAX_VEffectDescriptor.

## ◆ NewPropertyMap()

virtual AAX_IPropertyMap * AAX_IEffectDescriptor::NewPropertyMap | ( |  | ) |
| pure virtual

Create a new property map.

Implemented in AAX_VEffectDescriptor.

## ◆ SetProperties()

virtual AAX_Result AAX_IEffectDescriptor::SetProperties | ( | AAX_IPropertyMap * | inProperties | ) |
| pure virtual

Set the properties of a new property map.

Parameters

  [in] | inProperties | Description

Implemented in AAX_VEffectDescriptor.

## ◆ AddResourceInfo()

virtual AAX_Result AAX_IEffectDescriptor::AddResourceInfo | ( | AAX_EResourceType | inResourceType,
|  | const char * | inInfo
| ) |  |
| pure virtual

Set resource file info.

Parameters

  [in] | inResourceType | See AAX_EResourceType.
  [in] | inInfo | Definition varies on the resource type.

Implemented in AAX_VEffectDescriptor.

## ◆ AddMeterDescription()

virtual AAX_Result AAX_IEffectDescriptor::AddMeterDescription | ( | AAX_CTypeID | inMeterID,
|  | const char * | inMeterName,
|  | AAX_IPropertyMap * | inProperties
| ) |  |
| pure virtual

Add name and property map to meter with given ID.

Parameters

  [in] | inMeterID | The ID of the meter being described.
  [in] | inMeterName | The name of the meter.
  [in] | inProperties | The property map containing meter related data such as meter type, orientation, etc.

Implemented in AAX_VEffectDescriptor.

## ◆ AddControlMIDINode()

virtual AAX_Result AAX_IEffectDescriptor::AddControlMIDINode | ( | AAX_CTypeID | inNodeID,
|  | AAX_EMIDINodeType | inNodeType,
|  | const char | inNodeName[],
|  | uint32_t | inChannelMask
| ) |  |
| pure virtual

Add a control MIDI node to the plug-in data model.

- This MIDI node may receive note data as well as control data.
- To send MIDI data to the plug-in's algorithm, use AAX_IComponentDescriptor::AddMIDINode().

See also
  AAX_IACFEffectParameters_V2::UpdateControlMIDINodes()

Parameters

  [in] | inNodeID | The ID for the new control MIDI node.
  [in] | inNodeType | The type of the node.
  [in] | inNodeName | The name of the node.
  [in] | inChannelMask | The bit mask for required nodes channels (up to 16) or required global events for global node.

Implemented in AAX_VEffectDescriptor.

The documentation for this class was generated from the following file:

- AAX_IEffectDescriptor.h